libtheora 1.1.1

Data Fields
th_huff_code Struct Reference

A Huffman code for a Theora DCT token. More...

`#include <codec.h>`

## Data Fields
ogg_uint32_t | pattern
| The bit pattern for the code, with the LSbit of the pattern aligned in the LSbit of the word. More...
int | nbits
| The number of bits in the code. More...

## Detailed Description

A Huffman code for a Theora DCT token.

Each set of Huffman codes in a given table must form a complete, prefix-free code. There is no requirement that all the tokens in a table have a valid code, but the current encoder is not optimized to take advantage of this. If each of the five grouops of 16 tables does not contain at least one table with a code for every token, then the encoder may fail to encode certain frames. The complete table in the first group of 16 does not have to be in the same place as the complete table in the other groups, but the complete tables in the remaining four groups must all be in the same place.

## Field Documentation

## ◆ nbits

int th_huff_code::nbits

The number of bits in the code.

This must be between 0 and 32, inclusive.

## ◆ pattern

ogg_uint32_t th_huff_code::pattern

The bit pattern for the code, with the LSbit of the pattern aligned in the LSbit of the word.

The documentation for this struct was generated from the following file:

- codec.h